#ifndef __SND_WIN_H__
#define __SND_WIN_H__
//****************************************************************************
//**
//**    SND_WIN.H
//**    Header - Windows DirectSound
//**
//**    Copyright (c) 1998 Chris Hargrove
//**    Notice: Usage of any code in this file is subject to the rules
//**            described in the LICENSE.TXT file included in this directory.
//**            Reading, compiling, or otherwise using this code constitutes
//**            automatic acceptance of the rules in said text file.
//**
//****************************************************************************
//============================================================================
//    INTERFACE REQUIRED HEADERS
//============================================================================
#include "sys_defs.h"
//============================================================================
//    INTERFACE DEFINITIONS / ENUMERATIONS / SIMPLE TYPEDEFS
//============================================================================
//============================================================================
//    INTERFACE CLASS PROTOTYPES / EXTERNAL CLASS REFERENCES
//============================================================================
//============================================================================
//    INTERFACE STRUCTURES / UTILITY CLASSES
//============================================================================
//============================================================================
//    INTERFACE DATA DECLARATIONS
//============================================================================
//============================================================================
//    INTERFACE FUNCTION PROTOTYPES
//============================================================================

// init/shutdown
void SNDW_Init();
void SNDW_Shutdown();

// sound control
dword SNDW_LoadSound(dword sampleRate, dword bitDepth, dword channels,
					 dword sampleSizeBytes, byte* sampleData, dword maxPlayHandles);
void SNDW_FreeSound(dword soundHandle);

// play control
dword SNDW_PlaySound(dword soundHandle, bbool looping);
void SNDW_StopSound(dword playHandle);
void SNDW_PauseSound(dword playHandle);
void SNDW_ResumeSound(dword playHandle);
void SNDW_SetSoundVolume(dword playHandle, float volume);
void SNDW_SetSoundPan(dword playHandle, float pan);
void SNDW_SetSoundFrequency(dword playHandle, float freq);
float SNDW_GetSoundFrequency(dword playHandle);
bbool SNDW_IsSoundPlaying(dword playHandle);

// misc operations
void SNDW_SetGlobalVolume(float volume); // volume range [0.0, 1.0]
float SNDW_GetGlobalVolume();

//============================================================================
//    INTERFACE OBJECT CLASS DEFINITIONS
//============================================================================
//============================================================================
//    INTERFACE TRAILING HEADERS
//============================================================================

//****************************************************************************
//**
//**    END HEADER SND_WIN.H
//**
//****************************************************************************
#endif // __SND_WIN_H__
